MINOVAES - PRODUCT - Feature #1621

Report Overtime based on Payroll Transaction
09/21/2022 04:47 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/21/2022
Priority: Urgent Due date: 10/04/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 26.00 hours
Description

Mas Azid,

Mohon dibantu untuk buatkan report overtime berdasarkan design di file terlampir.

Port: http://remote.minovais.com:31133/

Terima kasih.

History

#1 - 09/21/2022 04:47 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 09/21/2022 05:23 PM - Fiona Avangeline Jonathan
- Assignee changed from M Azid Wahyudi to shofwan shiddiq

#3 - 09/21/2022 05:27 PM - Fiona Avangeline Jonathan

- File deleted (Design Report Overtime base on Payroll Transaction.xlIsx)

#4 - 09/21/2022 05:28 PM - Fiona Avangeline Jonathan

- File Design Report Overtime base on Payroll Transaction.xlsx added

#5 - 09/22/2022 04:10 PM - Fiona Avangeline Jonathan

Menu ID: REPORTOTPAY
Report ID : REPORTOTPAY

#6 - 09/28/2022 06:24 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan

Dear Fiona, Report Overtime Compensation Based on Payroll Transaction sudah di deploy, Silahkan di testing. Terima Kasih

SP: SPERPRPTOVERTIMECOMPENSATION

#7 - 09/30/2022 09:16 AM - Kezia Pawitra Yulianti
- Due date set to 10/04/2022
- Status changed from Assigned to QA Test

#8 - 10/10/2022 05:39 PM - Fiona Avangeline Jonathan

- Status changed from QA Test to Assigned

- Assignee changed from Fiona Avangeline Jonathan to shofwan shiddiq
Dear Shofwan,

Tolong dibantu deploy report ini ke port demo dan silver package.

Port: http://demo.minovais.com:61124/Account/Login
DB: 45.251.75.66 | MinovaES_Demo
http://remote.minovais.com:31133/
http://demo.minovais.com:61124/Account/Login

Port : http://demo.minovais.com:61199/
Server : 45.251.75.66
DB : MinovaES_Silver_Package

Terima kasih.

#9 - 10/11/2022 12:57 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan

Dear Fiona, RDL nya udah di upload ke Services Port Demo dan Port Minova Silver Package, Silahkan dii test. Terima Kasih

#10 - 10/11/2022 03:28 PM - Fiona Avangeline Jonathan

- Assignee changed from Fiona Avangeline Jonathan to shofwan shiddiq

Shof,

Sesuai diskusi tolong diambil base type yang sesuai dengan payroll period nya ya supaya data tidak duplicate.
Terima kasih.

#11 - 10/12/2022 03:09 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan

Dear Fiona, Report Overtime Sudah di deploy ke PORT Demo, Silver Package, dan Product.
Revisi

-Reparasi perhitungan total durasi apabila DayType =OFF

-Seleksi Position sesuai payroll period

-Seleksi Base Amount sesuai payroll period

Terima Kasih

#12 - 10/12/2022 03:14 PM - Fiona Avangeline Jonathan
- File clipboard-202210121514-zmrwm.png added

Done, terima kasih.
Payroll Result

No Employee ID  Employee Name Position Organization Employee Office Grade Date Day Type Start Time End Time Total Duration
Wage Type Recap
Wage Type Report 1 30000128 Ranti Kusumawardhani Minova (Jakarta) c4 31 Januari 2022 wDaY 18.01 21.30 329
2 20000133 Nam WooHyun Minova [Bogor) General 24 Februari2022  WDAY 18.01 21.30 329
4 3

#13 - 10/12/2022 03:15 PM - Fiona Avangeline Jonathan
- Status changed from Assigned to Closed
Files
Design Report Overtime base on Payroll Transaction.xlsx 15.1 KB 09/21/2022 Fiona Avangeline Jonathan
clipboard-202210121514-zmrwm.png 89.8 KB 10/12/2022 Fiona Avangeline Jonathan
